import { CodeMaker } from 'codemaker';
import { AttributeModel } from "../models";
export declare class AttributesEmitter {
    private code;
    constructor(code: CodeMaker);
    emit(att: AttributeModel, escapeReset: boolean, escapeInput: boolean): void;
    private emitOptional;
    private emitOptionalComputed;
    private emitOptionalComputedIgnored;
    private emitComputed;
    private emitRequired;
    private emitComputedComplexList;
    private emitComputedComplexListMap;
    private emitComputedComplexOptional;
    private emitComputedComplexMap;
    determineGetAttCall(att: AttributeModel): string;
    determineMapType(att: AttributeModel): string;
    needsInputEscape(att: AttributeModel, attributes: AttributeModel[]): boolean;
    getInputName(att: AttributeModel, escape: boolean): string;
    needsResetEscape(att: AttributeModel, attributes: AttributeModel[]): boolean;
    getResetName(name: string, escape: boolean): string;
    emitToTerraform(att: AttributeModel, isStruct: boolean): void;
}
