import { AttributeTypeModel } from './attribute-type-model';
export interface AttributeModelOptions {
    storageName: string;
    name: string;
    type: AttributeTypeModel;
    optional: boolean;
    computed: boolean;
    terraformName: string;
    terraformFullName: string;
    description?: string;
    getAttCall?: string;
    provider: boolean;
    required: boolean;
}
export declare class AttributeModel {
    storageName: string;
    private _name;
    type: AttributeTypeModel;
    optional: boolean;
    computed: boolean;
    terraformName: string;
    terraformFullName: string;
    private _description?;
    provider: boolean;
    required: boolean;
    constructor(options: AttributeModelOptions);
    get typeDefinition(): string;
    get isAssignable(): boolean;
    get isOptional(): boolean;
    get isRequired(): boolean;
    get isTokenizable(): boolean;
    get isProvider(): boolean;
    get name(): string;
    get description(): string | undefined;
    get isConfigIgnored(): boolean;
}
