import { Schema } from '../provider-schema';
import { AttributeModel } from './attribute-model';
import { Struct, ConfigStruct } from './struct';
interface ResourceModelOptions {
    terraformType: string;
    className: string;
    baseName: string;
    fileName: string;
    filePath: string;
    attributes: AttributeModel[];
    structs: Struct[];
    provider: string;
    schema: Schema;
    terraformSchemaType: string;
    configStructName: string;
}
export declare class ResourceModel {
    terraformType: string;
    className: string;
    baseName: string;
    provider: string;
    providerVersionConstraint?: string;
    terraformProviderSource?: string;
    fileName: string;
    filePath: string;
    attributes: AttributeModel[];
    schema: Schema;
    private _structs;
    private dependencies;
    private terraformSchemaType;
    private configStructName;
    constructor(options: ResourceModelOptions);
    get structs(): Struct[];
    get configStruct(): ConfigStruct;
    get synthesizableAttributes(): AttributeModel[];
    get importStatements(): string[];
    get schemaAsJson(): string;
    get linkToDocs(): string;
    get isProvider(): boolean;
    get isDataSource(): boolean;
    get parentClassName(): string;
    get terraformResourceType(): string;
    private escapeSchema;
}
export {};
